Bug 232842 - [GPU Process] [Filters 20/23] Simplify the dynamic update of the SVG filter elements
Summary: [GPU Process] [Filters 20/23] Simplify the dynamic update of the SVG filter e...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords: InRadar
Depends on: 241535
Blocks: 231253
  Show dependency treegraph
 
Reported: 2021-11-08 13:17 PST by Said Abou-Hallawa
Modified: 2022-06-13 12:53 PDT (History)
17 users (show)

See Also:


Attachments
WIP (142.81 KB, patch)
2022-04-18 01:20 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (149.81 KB, patch)
2022-04-30 18:13 PDT, Said Abou-Hallawa
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2021-11-08 13:17:15 PST
Since the FilterEffect does not own the result FilterImage or the geometry FilterBoundarySet, all the superclasses of SVGFilterPrimitiveStandardAttributes should have a singleton FilterEffect for all the renderers. Changing an attribute of these classes should be resulting in changing a member of the singleton FilterEffect. And of course we need to clear some of the the result FilterImages which are owned by the renderers.
Comment 1 Radar WebKit Bug Importer 2021-11-15 13:20:36 PST
<rdar://problem/85426197>
Comment 2 Said Abou-Hallawa 2022-04-18 01:20:03 PDT
Created attachment 457801 [details]
WIP
Comment 3 Said Abou-Hallawa 2022-04-30 18:13:24 PDT
Created attachment 458641 [details]
Patch
Comment 4 Said Abou-Hallawa 2022-06-10 02:45:51 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1441
Comment 5 EWS 2022-06-13 12:53:19 PDT
Committed r295498 (251503@main): <https://commits.webkit.org/251503@main>

Reviewed commits have been landed. Closing PR #1441 and removing active labels.